From d462752777ed93c1a7d21479d6fa492c48094bab Mon Sep 17 00:00:00 2001
From: Florents Tselai <florents.tselai@gmail.com>
Date: Sat, 24 May 2025 13:30:36 +0300
Subject: [PATCH v1] add basic README for src/include/catalog

---
 src/include/catalog/README | 11 +++++++++++
 1 file changed, 11 insertions(+)
 create mode 100644 src/include/catalog/README

diff --git a/src/include/catalog/README b/src/include/catalog/README
new file mode 100644
index 00000000000..5bd81c6d86c
--- /dev/null
+++ b/src/include/catalog/README
@@ -0,0 +1,11 @@
+# Catalog
+
+For more details see https://www.postgresql.org/docs/current/bki.html
+
+Below are some checklists for common scenarios.
+
+## Adding a New Built-in SQL Command
+
+1. Implement the function in C and place it in the appropriate directory under `src` (typically in `src/utils/adt`)
+2. Each function should have a unique integer OID. Run the script `src/include/catalog/unused_oids` to find available ranges.
+3. Add the entry to `pg_proc.dat` following the surrounding conventions.
-- 
2.49.0

